Subject: muttprint fails to run with LANG=en_US.UTF-8

From: Derrick Hudson <[email-masked]>
Date: Thu, 10 Jan 2008 20:23:17 -0500

Package: muttprint
Version: 0.72d-9
Severity: normal

With LANG=en_US.UTF-8, muttprint fails to run with the following
message (displayed in an ascii-graphical dialog):
---
Line 1968: Error in charset conversion.
String was
   Please check that all applications are complete.  Specifically
check 
---

If I change my environemnt to LANG=en_US before running mutt,
muttprint works.

I don't know when this started to be a problem because I don't print
email messages very often.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'stable'), (80, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-1-k7 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages muttprint depends on:
ii  debconf [debconf-2.0]         1.5.17     Debian configuration management sy
ii  latex-ucs                     20041017-6 support for using UTF-8 input enco
ii  libtext-iconv-perl            1.4-3      converts between character sets in
ii  perl                          5.8.8-12   Larry Wall's Practical Extraction 
ii  tetex-extra                   2.0.2c-9   Additional library files of teTeX

Versions of packages muttprint recommends:
ii  bsd-mai 8.1.2-0.20071201cvs-1            A simple mail user agent
ii  icedove 1.5.0.13+1.5.0.14b.dfsg1-0lenny1 free/unbranded thunderbird mail cl
hi  mutt [m 1.5.17-1                         text-based mailreader supporting M

-- debconf information:
* muttprint/moved_pics:
  muttprint/utf8:

-- 
He who spares the rod hates his son,
but he who loves him is careful to discipline him.
        Proverbs 13:24
 
www: http://dman13.dyndns.org/~dman/            jabber: [email-masked]